# $Revision: 1.21 $, $Date: 2009/01/15 23:05:00 $
Summary:	Pipe Viewer - tool for monitoring the progress of data through a pipeline
Summary(pl.UTF-8):	Pipe Viewer - monitorowanie przepływu danych przez potok
Name:		pv
Version:	1.1.4
Release:	1
License:	Artistic v2.0
Group:		Applications
Source0:	http://dl.sourceforge.net/pipeviewer/%{name}-%{version}.tar.gz
# Source0-md5:	8d0eda2182640919daaf6186cd816a13
URL:		http://www.ivarch.com/programs/pv.shtml
BuildRequires:	autoconf
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pipe Viewer is a terminal-based tool for monitoring the progress of
data through a pipeline. It can be inserted into any normal pipeline
between two processes to give a visual indication of how quickly data
is passing through, how long it has taken, how near to completion it
is, and an estimate of how long it will be until completion.

%description -l pl.UTF-8
Pipe Viewer jest tekstowym narzędziem do monitorowania przepływu
danych przez potok. Może być wstawiony w dowolny potok pomiędzy dwa
procesy w celu wizualizacji prędkości z jaką dane przepływają pomiędzy
nimi, ile czasu im to zajmuje, ile jeszcze zostało do ukończenia i ile
mniej więcej czasu to będzie trwało.

%prep
%setup -q

%build
cd autoconf
%{__autoconf}
cd ..
install autoconf/configure .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_infodir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README doc/NEWS doc/TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pv.spec,v $
Revision 1.21  2009/01/15 23:05:00  duddits
- up to 1.1.4

Revision 1.20  2007/08/30 15:44:27  wolf
- 1.1.0

Revision 1.19  2007/08/17 09:14:31  blues
- 1.0.1 - no more info pages, license is Artistic 2.0

Revision 1.18  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.16  2005/10/12 09:39:20  darekr
- updated to 0.9.2

Revision 1.15  2005/07/11 16:03:30  darekr
- updated to 0.9.1;  Summary

Revision 1.14  2005/06/06 13:57:18  zbyniu
- BR: gettext-devel

Revision 1.13  2005/01/09 18:47:47  adamg
- updated to 0.9.0

Revision 1.12  2004/09/03 14:10:51  darekr
- updated to 0.8.6

Revision 1.11  2004/05/27 12:42:06  jpc
- builds (but not sure 'bout the BRs)

Revision 1.10  2004/05/11 21:30:15  migo
- up to 0.8.5, use working source URL
- won't build

Revision 1.9  2004/05/11 20:06:04  migo
- oops, it doesn't build, lacks some BR (tetex?), probably other things
- release down to 0.1, I can't fix it right now

Revision 1.8  2004/05/11 19:57:03  migo
- up to 0.8.0

Revision 1.7  2003/05/28 13:01:26  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:25:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/17 01:10:26  radek
- version 0.4.5

Revision 1.4  2002/12/08 20:46:52  areq
- 0.4.4

Revision 1.3  2002/12/01 22:36:54  qboosh
- extended pl summary, BR: autoconf

Revision 1.2  2002/12/01 16:00:33  wrobell
- group changed to Applications (there is no Utilities and
  Applications/Utilites group... strange, ain't it?)
- improved pl description

Revision 1.1  2002/11/30 16:11:42  zagrodzki
- initial release

